TokenLab

Gemini Files 與快取

列出 Gemini 快取內容

列出屬於目前工作區的快取內容。

GET
/v1beta/cachedContents
列出屬於目前工作區的快取內容。請使用 nextPageToken 繼續。資源僅能在其所屬的工作區中進行讀取、參照、變更或刪除。
curl -X GET "https://example.com/v1beta/cachedContents"
{  "cachedContents": [    {      "name": "string",      "model": "string",      "displayName": "string",      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z",      "expireTime": "2019-08-24T14:15:22Z",      "usageMetadata": {}    }  ],  "nextPageToken": "string"}

授權

AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

查詢參數

key?string

作為 Bearer 或 x-goog-api-key 的 API key 替代方案。

pageSize?integer

請求的頁面大小;亦接受 page_size。

pageToken?string

來自前次回應的不透明 nextPageToken。亦接受 page_token。

回應

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json